cancel
Showing results for 
Search instead for 
Did you mean: 

Unity 2019.3.12f1: VR cannot be enabled

Anonymous
Not applicable
Hi,

I'm trying to get Unity 2019.3.12f1 set up for Oculus Quest development and have followed the Oculus instructions precisely. However, when following "Enable Virtual Reality (VR) Support", I'm hitting a wall.

After enabling the Oculus plug-in provider, I return to Player settings and see that "Virtual Reality Supported" is grayed out and listed under "Deprecated Settings" with a warning that "Unity has detected that you have one or more XR SDK Provider packages installed. Legacy XR is incompatible with XR SDK."

What?

My understanding is that I don't want Legacy XR. Why can't I see the Oculus XR SDK? Screenshots attached.

I also tried re-doing the entire new project set up without importing the Oculus Integration asset pack. This had no effect.

Thanks,

Bart
m0viizqsbd8e.jpgzsgo2jvu3owh.jpg
6 REPLIES 6

seanlazer
Level 2
I have hit the same wall. I'm wondering if that's the reason I can't build and run. 

Anonymous
Not applicable

seanlazer said:

I have hit the same wall. I'm wondering if that's the reason I can't build and run. 


I actually ended up getting it to work. This is not actually an error. The Unity XR system works with Oculus and you should be able to build your project that way. You can drop in the Oculus integration asset but it is not necessary except to access Oculus SDK-specific features.

Inuit95
Level 2


Hi,

I'm trying to get Unity 2019.3.12f1 set up for Oculus Quest development and have followed the Oculus instructions precisely. However, when following "Enable Virtual Reality (VR) Support", I'm hitting a wall.

After enabling the Oculus plug-in provider, I return to Player settings and see that "Virtual Reality Supported" is grayed out and listed under "Deprecated Settings" with a warning that "Unity has detected that you have one or more XR SDK Provider packages installed. Legacy XR is incompatible with XR SDK."

What?

My understanding is that I don't want Legacy XR. Why can't I see the Oculus XR SDK? Screenshots attached.

I also tried re-doing the entire new project set up without importing the Oculus Integration asset pack. This had no effect.

Thanks,

Bart
m0viizqsbd8e.jpgzsgo2jvu3owh.jpg


Did you fix it?

Inuit95
Level 2



seanlazer said:

I have hit the same wall. I'm wondering if that's the reason I can't build and run. 


I actually ended up getting it to work. This is not actually an error. The Unity XR system works with Oculus and you should be able to build your project that way. You can drop in the Oculus integration asset but it is not necessary except to access Oculus SDK-specific features.


Did you fix it?

cobanoglucem
Level 3

Did anyone solve this issue? 

Did anyone solve this issue :warning:?